import EnvError from './components/EnvError.vue';
import Home from './views/Home.vue';
import Imprint from './views/Imprint.vue';
import Privacy from './views/Privacy.vue';
import Register from './views/Register.vue';
import Profile from './views/Profile.vue';

/** @type {import('vue-router').RouterOptions['routes']} */
export const routes = [
	{ path: '/', component: Home },
	{ path: '/imprint', component: Imprint },
	{ path: '/privacy', component: Privacy },
	{ path: '/register', component: Register },
	{ path: '/register/:token', component: Register, props: true },
	{ path: '/profile/:token', component: Profile, props: true }
];
